Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.util
Class XMLObjectOutputStream.PutField

    java.lang.Object
      java.io.ObjectOutputStream.PutField
          rice.p2p.util.XMLObjectOutputStream.PutField

Enclosing class:
  XMLObjectOutputStream

    public class XMLObjectOutputStream.PutField

extends java.io.ObjectOutputStream.PutField

This class is an implementation of PutField which is compatible with the XMLObjectOutputStream. It works in the same manner as the ObjectInputStream.PutField.

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh

Field Summary
`protected java.util.Hashtable` | `objects` DESCRIBE THE FIELD
`protected java.util.Hashtable` | `primitives` DESCRIBE THE FIELD

Constructor Summary
`XMLObjectOutputStream.PutField()`

Method Summary
`protected boolean` | `getBoolean(java.lang.String name)` Gets the Boolean attribute of the PutField object
`protected byte` | `getByte(java.lang.String name)` Gets the Byte attribute of the PutField object
`protected char` | `getChar(java.lang.String name)` Gets the Char attribute of the PutField object
`protected double` | `getDouble(java.lang.String name)` Gets the Double attribute of the PutField object
`protected float` | `getFloat(java.lang.String name)` Gets the Float attribute of the PutField object
`protected int` | `getInt(java.lang.String name)` Gets the Int attribute of the PutField object
`protected long` | `getLong(java.lang.String name)` Gets the Long attribute of the PutField object
`protected java.lang.Object` | `getObject(java.lang.String name)` Gets the Object attribute of the PutField object
`protected java.lang.String[]` | `getObjects()` Gets the Objects attribute of the PutField object
`protected java.lang.String[]` | `getPrimitives()` Gets the Primitives attribute of the PutField object
`protected short` | `getShort(java.lang.String name)` Gets the Short attribute of the PutField object
`void` | `put(java.lang.String name, boolean value)` DESCRIBE THE METHOD
`void` | `put(java.lang.String name, byte value)` DESCRIBE THE METHOD
`void` | `put(java.lang.String name, char value)` DESCRIBE THE METHOD
`void` | `put(java.lang.String name, double value)` DESCRIBE THE METHOD
`void` | `put(java.lang.String name, float value)` DESCRIBE THE METHOD
`void` | `put(java.lang.String name, int value)` DESCRIBE THE METHOD
`void` | `put(java.lang.String name, long value)` DESCRIBE THE METHOD
`void` | `put(java.lang.String name, java.lang.Object value)` DESCRIBE THE METHOD
`void` | `put(java.lang.String name, short value)` DESCRIBE THE METHOD
`void` | `write(java.io.ObjectOutput output)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### primitives

    protected java.util.Hashtable primitives

  DESCRIBE THE FIELD

### objects

    protected java.util.Hashtable objects

  DESCRIBE THE FIELD

Constructor Detail

### XMLObjectOutputStream.PutField

    public XMLObjectOutputStream.PutField()

Method Detail

### getPrimitives

    protected java.lang.String[] getPrimitives()

  Gets the Primitives attribute of the PutField object

  Returns:
    The Primitives value

### getObjects

    protected java.lang.String[] getObjects()

  Gets the Objects attribute of the PutField object

  Returns:
    The Objects value

### getObject

    protected java.lang.Object getObject(java.lang.String name)

  Gets the Object attribute of the PutField object

  Parameters:
    `name` - DESCRIBE THE PARAMETER
  Returns:
    The Object value

### getBoolean

    protected boolean getBoolean(java.lang.String name)

  Gets the Boolean attribute of the PutField object

  Parameters:
    `name` - DESCRIBE THE PARAMETER
  Returns:
    The Boolean value

### getByte

    protected byte getByte(java.lang.String name)

  Gets the Byte attribute of the PutField object

  Parameters:
    `name` - DESCRIBE THE PARAMETER
  Returns:
    The Byte value

### getChar

    protected char getChar(java.lang.String name)

  Gets the Char attribute of the PutField object

  Parameters:
    `name` - DESCRIBE THE PARAMETER
  Returns:
    The Char value

### getDouble

    protected double getDouble(java.lang.String name)

  Gets the Double attribute of the PutField object

  Parameters:
    `name` - DESCRIBE THE PARAMETER
  Returns:
    The Double value

### getFloat

    protected float getFloat(java.lang.String name)

  Gets the Float attribute of the PutField object

  Parameters:
    `name` - DESCRIBE THE PARAMETER
  Returns:
    The Float value

### getInt

    protected int getInt(java.lang.String name)

  Gets the Int attribute of the PutField object

  Parameters:
    `name` - DESCRIBE THE PARAMETER
  Returns:
    The Int value

### getLong

    protected long getLong(java.lang.String name)

  Gets the Long attribute of the PutField object

  Parameters:
    `name` - DESCRIBE THE PARAMETER
  Returns:
    The Long value

### getShort

    protected short getShort(java.lang.String name)

  Gets the Short attribute of the PutField object

  Parameters:
    `name` - DESCRIBE THE PARAMETER
  Returns:
    The Short value

### put

    public void put(java.lang.String name,
                    boolean value)

  DESCRIBE THE METHOD

  Specified by:
    `put` in class `java.io.ObjectOutputStream.PutField`
  Parameters:
    `name` - DESCRIBE THE PARAMETER
    `value` - DESCRIBE THE PARAMETER

### put

    public void put(java.lang.String name,
                    byte value)

  DESCRIBE THE METHOD

  Specified by:
    `put` in class `java.io.ObjectOutputStream.PutField`
  Parameters:
    `name` - DESCRIBE THE PARAMETER
    `value` - DESCRIBE THE PARAMETER

### put

    public void put(java.lang.String name,
                    char value)

  DESCRIBE THE METHOD

  Specified by:
    `put` in class `java.io.ObjectOutputStream.PutField`
  Parameters:
    `name` - DESCRIBE THE PARAMETER
    `value` - DESCRIBE THE PARAMETER

### put

    public void put(java.lang.String name,
                    double value)

  DESCRIBE THE METHOD

  Specified by:
    `put` in class `java.io.ObjectOutputStream.PutField`
  Parameters:
    `name` - DESCRIBE THE PARAMETER
    `value` - DESCRIBE THE PARAMETER

### put

    public void put(java.lang.String name,
                    float value)

  DESCRIBE THE METHOD

  Specified by:
    `put` in class `java.io.ObjectOutputStream.PutField`
  Parameters:
    `name` - DESCRIBE THE PARAMETER
    `value` - DESCRIBE THE PARAMETER

### put

    public void put(java.lang.String name,
                    int value)

  DESCRIBE THE METHOD

  Specified by:
    `put` in class `java.io.ObjectOutputStream.PutField`
  Parameters:
    `name` - DESCRIBE THE PARAMETER
    `value` - DESCRIBE THE PARAMETER

### put

    public void put(java.lang.String name,
                    long value)

  DESCRIBE THE METHOD

  Specified by:
    `put` in class `java.io.ObjectOutputStream.PutField`
  Parameters:
    `name` - DESCRIBE THE PARAMETER
    `value` - DESCRIBE THE PARAMETER

### put

    public void put(java.lang.String name,
                    short value)

  DESCRIBE THE METHOD

  Specified by:
    `put` in class `java.io.ObjectOutputStream.PutField`
  Parameters:
    `name` - DESCRIBE THE PARAMETER
    `value` - DESCRIBE THE PARAMETER

### put

    public void put(java.lang.String name,
                    java.lang.Object value)

  DESCRIBE THE METHOD

  Specified by:
    `put` in class `java.io.ObjectOutputStream.PutField`
  Parameters:
    `name` - DESCRIBE THE PARAMETER
    `value` - DESCRIBE THE PARAMETER

### write

    public void write(java.io.ObjectOutput output)
               throws java.io.IOException

  Deprecated.

  only exists to satisfy deprecated method in superclass

  Specified by:
    `write` in class `java.io.ObjectOutputStream.PutField`
  Parameters:
    `output` - DESCRIBE THE PARAMETER
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.